#### Description:

This function finds the angle at point B between the line joining points A and B, and the line joining points C and B. These lines will in fact be geodesic curves appropriate to the Frame in use. For instance, in SkyFrame, they will be great circles.

#### Synopsis

double astAngle( AstFrame ∗this, const double a[], const double b[], const double c[] )

#### Parameters:

##### this

Pointer to the Frame.

##### a

An array of double, with one element for each Frame axis (Naxes attribute) containing the coordinates of the first point.

##### b

An array of double, with one element for each Frame axis (Naxes attribute) containing the coordinates of the second point.

##### c

An array of double, with one element for each Frame axis (Naxes attribute) containing the coordinates of the third point.

#### Returned Value

##### astAngle

The angle in radians, from the line AB to the line CB. If the Frame is 2-dimensional, it will be in the range $∖pm ∖pi$, and positive rotation is in the same sense as rotation from the positive direction of axis 2 to the positive direction of axis 1. If the Frame has more than 2 axes, a positive value will always be returned in the range zero to $∖pi$.

#### Notes:

- A value of AST__BAD will also be returned if points A and B are co-incident, or if points B and C are co-incident.

- A value of AST__BAD will also be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory